Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrNodeDepth

    java.lang.Object
      org.modeshape.graph.query.model.NodeDepth
          org.modeshape.jcr.query.qom.JcrNodeDepth

All Implemented Interfaces:
  Serializable, Operand, DynamicOperand, LanguageObject, Visitable, NodeDepth, JcrDynamicOperand

    public class JcrNodeDepth

extends NodeDepth
implements NodeDepth, JcrDynamicOperand

Implementation of the node depth dynamic operand for the Graph API and that is an extension to the JCR Query Object Model.

See Also:
  Serialized Form

Constructor Summary
`JcrNodeDepth(SelectorName selectorName)` Create a dynamic operand that evaluates to the depth of the node identified by the selector.

Method Summary
`String` | `getSelectorName()` Get the selector symbol upon which this operand applies.

Methods inherited from class org.modeshape.graph.query.model.NodeDepth
`accept, equals, hashCode, selectorName, selectorNames, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.DynamicOperand
`selectorNames`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrNodeDepth

    public JcrNodeDepth(SelectorName selectorName)

  Create a dynamic operand that evaluates to the depth of the node identified by the selector.

  Parameters:
    `selectorName` - the name of the selector
  Throws:
    `IllegalArgumentException` - if the selector name or property name are null

Method Detail

### getSelectorName

    public String getSelectorName()

  Get the selector symbol upon which this operand applies.

  Specified by:
    `getSelectorName` in interface `NodeDepth`
  Returns:
    the one selector names used by this operand; never null
  See Also:
    `NodeDepth.getSelectorName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.